classdesc

  Represents a `<PropertyIsBetween>` temporal comparison operator, suitable for QGIS server that does not support `<During>`.

### Hierarchy

- Comparison
  - DateIsBetween

## Index

### Constructors

- constructor

### Properties

- propertyName

### Methods

- getTagName

## Constructors

### constructor

- new DateIsBetween(propertyName: string, lowerBoundary: string, upperBoundary: string): DateIsBetween

- Overrides Comparison.__constructor

  - Defined in src/format/filter.js:32

  #### Parameters

  - ##### propertyName: string

    Name of the context property to compare.

  - ##### lowerBoundary: string

    The lower bound of the range.

  - ##### upperBoundary: string

    The upper bound of the range.

  #### Returns DateIsBetween

## Properties

### propertyName

propertyName: string

Inherited from DateIsBetween.propertyName

- Defined in node_modules/ol/format/filter/Comparison.d.ts:18

## Methods

### getTagName

- getTagName(): string

- Inherited from DateIsBetween.getTagName

  - Defined in node_modules/ol/format/filter/Filter.d.ts:26

  The XML tag name for a filter.

  #### Returns string

  Name.

Generated using TypeDoc